Uploaded image for project: 'Spring IDE'
  1. Spring IDE
  2. IDE-1163

IDE 2.5.2 breaks p2

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.5.2
    • Fix Version/s: 2.5.2 SR1
    • Component/s: None
    • Labels:
      None

      Description

      Spring IDE (not the full STS) installed some time ago through Eclipse Marketplace, updated.
      After today's update from 2.5.1 to 2.5.2 every attempt to access any software site results in NPE:

      !ENTRY org.eclipse.core.jobs 4 2 2011-01-11 15:16:25.130
      !MESSAGE An internal error occurred during: "Contacting Software Sites".
      !STACK 0
      java.lang.NullPointerException
      at org.eclipse.equinox.internal.p2.repository.RepositoryTransport.download(RepositoryTransport.java:75)
      at org.eclipse.equinox.internal.p2.repository.RepositoryTransport.download(RepositoryTransport.java:127)
      at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadIndexFile(AbstractRepositoryManager.java:718)
      at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:639)
      at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)
      at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)
      at org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob.doLoad(LoadMetadataRepositoryJob.java:115)
      at org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob.runModal(LoadMetadataRepositoryJob.java:100)
      at org.eclipse.equinox.internal.p2.ui.sdk.PreloadingRepositoryHandler$2.runModal(PreloadingRepositoryHandler.java:82)
      at org.eclipse.equinox.p2.operations.ProvisioningJob.run(ProvisioningJob.java:177)
      at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)

      The same thing happens whether checking for updates or trying to install new software.
      In the install new software dialog it happens both when it opens and after selecting any enabled repository.

      Trying to revert to the previous install fails as well.

      After manually removing everything named org.springframework.ide.eclipse*2.5.2* from the eclipse installation (plugins, features and configuration/org.eclipse.osgi/manifests/org.springframework.ide.eclipse.doc_2.5.2.201101081000-RELEASE.MF) the exception no longer happens.
      But trying to revert to the previous install still fails, this time because eclipse cannot find a repository contaning 2.5.1.

        Attachments

          Activity

            People

            Assignee:
            cdupuis Christian Dupuis
            Reporter:
            mpol Michał Politowski
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: